package com.nanyan.securitylink.service;

import com.alibaba.fastjson.JSONObject;
import com.nanyan.securitylink.dto.AIRequestDTO;
import com.nanyan.securitylink.vo.AIResponse;
import com.nanyan.securitylink.vo.CodeVO;

public interface AIService {
    //翻译
    AIResponse<String> translate(AIRequestDTO AIRequestDTO, String requestId);
    //新闻打标签
    AIResponse<CodeVO> newsTags(AIRequestDTO AIRequestDTO);

    //自然灾害打标签
    AIResponse<CodeVO> naturalDisasterTag(AIRequestDTO aiRequestDTO);

    //新闻翻译和打标签
    AIResponse<JSONObject> newsTagAndTranslate(AIRequestDTO aiRequestDTO);

    //提取紧急通知信息中等级、国家、城市等信息
    AIResponse<JSONObject> dealUrgentNotice(AIRequestDTO aiRequestDTO);

    //提取新闻中的国家和城市信息
    AIResponse<JSONObject> collectNewsCountryAndCity(AIRequestDTO aiRequestDTO);

    //提取紧急通知概要信息
    AIResponse<JSONObject> extractUrgentNoticeSummary(AIRequestDTO aiRequestDTO);

    AIResponse<String> extractUrgentNoticeWeekSummary(AIRequestDTO aiRequestDTO);
}
